/*
 * 
 * Copyright
 *  2009 axYus - www.axyus.com
 *  2009 Christophe Marchand <christophe.marchand@axyus.com>
 * 
 * This file is part of XEMELIOS.
 * 
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

package fr.gouv.finances.cp.xemelios.data.impl.mysql.serialization;

import fr.gouv.finances.cp.utils.xml.marshal.XmlMarshalParser;
import fr.gouv.finances.cp.xemelios.data.impl.mysql.MySqlDataResultSet;
import fr.gouv.finances.dgfip.xemelios.common.config.DocumentsMapping;
import fr.gouv.finances.dgfip.xemelios.common.config.XPathModel;
import javax.xml.namespace.QName;
import javax.xml.parsers.ParserConfigurationException;
import org.xml.sax.SAXException;

/**
 *
 * @author Christophe Marchand <christophe.marchand@axyus.com>
 */
public class MysqlDrsParser extends XmlMarshalParser {
    public static final QName XPATH = new QName("xpath");
    public static final QName SQL = new QName("sql");
    public static final QName WHERE_CLAUSE = new QName("where-clause");
    public static final QName FROM_CLAUSE = new QName("from-clause");
    public static final QName SELECT_CLAUSE = new QName("select-clause");
    
    private static final Mapping mapping = new Mapping();

    public MysqlDrsParser() throws SAXException, ParserConfigurationException {
        super(mapping);
    }

    public static class Mapping extends DocumentsMapping {
        public Mapping() {
            super();
            put(XPATH,XPathModel.class);
            put(SQL,XPathModel.class);
            put(WHERE_CLAUSE,XPathModel.class);
            put(FROM_CLAUSE,XPathModel.class);
            put(SELECT_CLAUSE,XPathModel.class);
            put(MySqlDataResultSet.QN,MySqlDataResultSet.class);
//            put(SQL,XPathModel.class);
        }

    }
}
